org.apache.fop.render.afp.extensions

## Class AFPPageSetupElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject
    - - org.apache.fop.render.afp.extensions.AFPPageSetupElement

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  AFPPageSegmentElement

    public class AFPPageSetupElement
    extends AbstractAFPExtensionObject

This class extends the org.apache.fop.extensions.ExtensionObj class. The object facilitates extraction of elements from formatted objects based on the static list as defined in the AFPElementMapping implementation.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

### Fields inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject

`extensionAttachment, name`

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Constructor Summary

Constructors
Constructor and Description
`AFPPageSetupElement(FONode parent, String name)` Constructs an AFP object (called by Maker).

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `characters(char[] data, int start, int length, PropertyList pList, Locator locator)` Adds characters.
`protected ExtensionAttachment` `instantiateExtensionAttachment()` Instantiates extension attachment object
`void` `processNode(String elementName, Locator locator, Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
`void` `startOfNode()` Called after processNode() is called.

### Methods inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject

`endOfNode, getExtensionAttachment, getLocalName, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFPPageSetupElement

    public AFPPageSetupElement(FONode parent,
                               String name)

Constructs an AFP object (called by Maker).

Parameters:
  `parent` - the parent formatting object
  `name` - the name of the afp element

### Method Detail

#### startOfNode

    public void startOfNode()
                     throws FOPException

Called after processNode() is called. Subclasses can do additional processing.

Overrides:
  `startOfNode` in class `FONode`
Throws:
  `FOPException` - if there's a problem during processing

#### characters

    protected void characters(char[] data,
                              int start,
                              int length,
                              PropertyList pList,
                              Locator locator)
                       throws FOPException

Adds characters. Does nothing by default. To be overridden in subclasses that allow `#PCDATA` content.

Overrides:
  `characters` in class `FONode`
Parameters:
  `data` - array of characters containing text to be added
  `start` - starting array element to add
  `length` - number of elements to add
  `pList` - currently applicable PropertyList
  `locator` - location in the XSL-FO source file.
Throws:
  `FOPException` - if there's a problem during processing

#### processNode

    public void processNode(String elementName,
                            Locator locator,
                            Attributes attlist,
                            PropertyList propertyList)
                     throws FOPException

Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

Overrides:
  `processNode` in class `AbstractAFPExtensionObject`
Parameters:
  `elementName` - element name (e.g., "fo:block")
  `locator` - Locator object (ignored by default)
  `attlist` - Collection of attributes passed to us from the parser.
  `propertyList` - the property list of the parent node
Throws:
  `FOPException` - for errors or inconsistencies in the attributes

#### instantiateExtensionAttachment

    protected ExtensionAttachment instantiateExtensionAttachment()

Instantiates extension attachment object

Specified by:
  `instantiateExtensionAttachment` in class `AbstractAFPExtensionObject`
Returns:
  extension attachment